# $Revision: 1.21 $, $Date: 2007/02/13 07:47:11 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	File
%define		pnam	ReadBackwards
Summary:	File::ReadBackwards - read a file backwards by lines
Summary(pl.UTF-8):	File::ReadBackwards - czytanie pliku od końca, linia po linii
Name:		perl-File-ReadBackwards
Version:	1.04
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bda339c8b2e5139649cb28c4b775fb42
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::ReadBackwards reads a file backwards line by line. It is simple
to use, memory efficient and fast.  It supports both an object and a
tied handle interface.

%description -l pl.UTF-8
File::ReadBackwards czyta plik od końca, linia po linii. Jest prosty
w użyciu, wydajny pod względem zajętości pamięci i szybki. Obsługuje
zarówno interfejs obiektowy, jak i dowiązane (przez tie()) uchwyty.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-ReadBackwards.spec,v $
Revision 1.21  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:32  baggins
- converted to UTF-8

Revision 1.19  2005/05/18 22:32:43  czucz
- updated to 1.04

Revision 1.18  2004/11/03 22:30:21  paladine
- formatting

Revision 1.17  2004/05/06 18:09:35  ankry
- fixed perl-devel BR

Revision 1.16  2004/04/20 13:32:17  ankry
- license fixes / unification

Revision 1.15  2004/04/14 14:57:19  ankry
- cosmetics

Revision 1.14  2004/04/13 18:51:58  adamg
- new style bconds

Revision 1.13  2003/12/23 08:33:23  misi3k
- updated to 1.02

Revision 1.12  2003/09/15 11:42:31  adamg
- updated to 1.00

Revision 1.11  2003/09/09 10:24:35  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:08:46  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:38  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 19:09:09  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:39:22  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:32:23  ankry
- massive attack: change CPAN URLs

Revision 1.3  2003/01/07 15:06:38  mis
- autoupdated to 0.99

Revision 1.2  2002/12/02 11:06:24  ankry
- massive cleaning

Revision 1.1  2002/08/29 11:06:43  radek
- new, STBR

